### Constructor

# Atk NoOpObjectFactory new

#### Declaration [src]

    AtkObjectFactory*
    atk_no_op_object_factory_new (
      void
    )

#### Description [src]

Creates an instance of an `AtkObjectFactory` which generates primitive (non-functioning) `AtkObjects`.

#### Return value

Type: `AtkObjectFactory`

An instance of an `AtkObjectFactory`.

The caller of the function takes ownership of the data, and is responsible for freeing it.